Index: src/molecules.cpp
===================================================================
--- src/molecules.cpp	(revision 8c54a3b5f6bdf770309a91dff75fb62f47d91b6d)
+++ src/molecules.cpp	(revision 0dbddc24a89f547aa564634e7647f87ec8ce9700)
@@ -1409,32 +2111,34 @@
 bool molecule::Output(ofstream *out)
 {
-	element *runner;
-	atom *walker = NULL;
-	int ElementNo, AtomNo;
-	CountElements();
-
-	if (out == NULL) {
-		return false;
-	} else {
-		*out << "#Ion_TypeNr._Nr.R[0]		R[1]		R[2]		MoveType (0 MoveIon, 1 FixedIon)" << endl;
-		ElementNo = 0;
-		runner = elemente->start;
-		while (runner->next != elemente->end) { // go through every element
-			runner = runner->next;
-			if (ElementsInMolecule[runner->Z]) { // if this element got atoms
-				ElementNo++;
-				AtomNo = 0;
-				walker = start;
-				while (walker->next != end) { // go through every atom of this element
-					walker = walker->next;
-					if (walker->type == runner) { // if this atom fits to element
-						AtomNo++;
-						walker->Output(ElementNo, AtomNo, out); // removed due to trajectories
-					}
-				}
-			}
-		}
-		return true;
-	}
+  atom *walker = NULL;
+  int ElementNo[MAX_ELEMENTS], AtomNo[MAX_ELEMENTS];
+  CountElements();
+
+  for (int i=0;i<MAX_ELEMENTS;++i) {
+    AtomNo[i] = 0;
+    ElementNo[i] = 0;
+  }
+  if (out == NULL) {
+    return false;
+  } else {
+    *out << "#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)" << endl;
+    walker = start;
+    while (walker->next != end) { // go through every atom of this element
+      walker = walker->next;
+      ElementNo[walker->type->Z] = 1;
+    }
+    int current=1;
+    for (int i=0;i<MAX_ELEMENTS;++i) {
+      if (ElementNo[i] == 1)
+        ElementNo[i] = current++;
+    }
+    walker = start;
+    while (walker->next != end) { // go through every atom of this element
+      walker = walker->next;
+      AtomNo[walker->type->Z]++;
+      walker->Output(ElementNo[walker->type->Z], AtomNo[walker->type->Z], out); // removed due to trajectories
+    }
+    return true;
+  }
 };
 
@@ -1444,45 +2148,47 @@
 bool molecule::OutputTrajectories(ofstream *out)
 {
-	element *runner = NULL;
-	atom *walker = NULL;
-	int ElementNo, AtomNo;
-	CountElements();
-
-	if (out == NULL) {
-		return false;
-	} else {
-		for (int step = 0; step < MDSteps; step++) {
-			if (step == 0) {
-				*out << "#Ion_TypeNr._Nr.R[0]		R[1]		R[2]		MoveType (0 MoveIon, 1 FixedIon)" << endl;
-			} else {
-				*out << "# ====== MD step " << step << " =========" << endl;
-			}
-			ElementNo = 0;
-			runner = elemente->start;
-			while (runner->next != elemente->end) { // go through every element
-				runner = runner->next;
-				if (ElementsInMolecule[runner->Z]) { // if this element got atoms
-					ElementNo++;
-					AtomNo = 0;
-					walker = start;
-					while (walker->next != end) { // go through every atom of this element
-						walker = walker->next;
-						if (walker->type == runner) { // if this atom fits to element
-							AtomNo++;
-							*out << "Ion_Type" << ElementNo << "_" << AtomNo << "\t"	<< fixed << setprecision(9) << showpoint;
-							*out << Trajectories[walker].R.at(step).x[0] << "\t" << Trajectories[walker].R.at(step).x[1] << "\t" << Trajectories[walker].R.at(step).x[2];
-							*out << "\t" << walker->FixedIon;
-							if (Trajectories[walker].U.at(step).Norm() > MYEPSILON)
-								*out << "\t" << scientific << setprecision(6) << Trajectories[walker].U.at(step).x[0] << "\t" << Trajectories[walker].U.at(step).x[1] << "\t" << Trajectories[walker].U.at(step).x[2] << "\t";
-							if (Trajectories[walker].F.at(step).Norm() > MYEPSILON)
-								*out << "\t" << scientific << setprecision(6) << Trajectories[walker].F.at(step).x[0] << "\t" << Trajectories[walker].F.at(step).x[1] << "\t" << Trajectories[walker].F.at(step).x[2] << "\t";
-							*out << "\t# Number in molecule " << walker->nr << endl;
-						}
-					}
-				}
-			}
-		}
-		return true;
-	}
+  atom *walker = NULL;
+  int ElementNo[MAX_ELEMENTS], AtomNo[MAX_ELEMENTS];
+  CountElements();
+
+  if (out == NULL) {
+    return false;
+  } else {
+    for (int step = 0; step < MDSteps; step++) {
+      if (step == 0) {
+        *out << "#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)" << endl;
+      } else {
+        *out << "# ====== MD step " << step << " =========" << endl;
+      }
+      for (int i=0;i<MAX_ELEMENTS;++i) {
+        AtomNo[i] = 0;
+        ElementNo[i] = 0;
+      }
+    walker = start;
+    while (walker->next != end) { // go through every atom of this element
+      walker = walker->next;
+      ElementNo[walker->type->Z] = 1;
+    }
+    int current=1;
+    for (int i=0;i<MAX_ELEMENTS;++i) {
+      if (ElementNo[i] == 1)
+        ElementNo[i] = current++;
+    }
+    walker = start;
+      while (walker->next != end) { // go through every atom of this element
+        walker = walker->next;
+        AtomNo[walker->type->Z]++;
+        *out << "Ion_Type" << ElementNo[walker->type->Z] << "_" << AtomNo[walker->type->Z] << "\t"  << fixed << setprecision(9) << showpoint;
+        *out << Trajectories[walker].R.at(step).x[0] << "\t" << Trajectories[walker].R.at(step).x[1] << "\t" << Trajectories[walker].R.at(step).x[2];
+        *out << "\t" << walker->FixedIon;
+        if (Trajectories[walker].U.at(step).Norm() > MYEPSILON)
+          *out << "\t" << scientific << setprecision(6) << Trajectories[walker].U.at(step).x[0] << "\t" << Trajectories[walker].U.at(step).x[1] << "\t" << Trajectories[walker].U.at(step).x[2] << "\t";
+        if (Trajectories[walker].F.at(step).Norm() > MYEPSILON)
+          *out << "\t" << scientific << setprecision(6) << Trajectories[walker].F.at(step).x[0] << "\t" << Trajectories[walker].F.at(step).x[1] << "\t" << Trajectories[walker].F.at(step).x[2] << "\t";
+        *out << "\t# Number in molecule " << walker->nr << endl;
+      }
+    }
+    return true;
+  }
 };
 
@@ -1492,20 +2198,20 @@
 void molecule::OutputListOfBonds(ofstream *out) const
 {
-	*out << Verbose(2) << endl << "From Contents of ListOfBondsPerAtom, all non-hydrogen atoms:" << endl;
-	atom *Walker = start;
-	while (Walker->next != end) {
-		Walker = Walker->next;
+  *out << Verbose(2) << endl << "From Contents of ListOfBondsPerAtom, all non-hydrogen atoms:" << endl;
+  atom *Walker = start;
+  while (Walker->next != end) {
+    Walker = Walker->next;
 #ifdef ADDHYDROGEN
-		if (Walker->type->Z != 1) {	 // regard only non-hydrogen
+    if (Walker->type->Z != 1) {   // regard only non-hydrogen
 #endif
-			*out << Verbose(2) << "Atom " << Walker->Name << " has Bonds: "<<endl;
-			for(int j=0;j<NumberOfBondsPerAtom[Walker->nr];j++) {
-				*out << Verbose(3) << *(ListOfBondsPerAtom)[Walker->nr][j] << endl;
-			}
+      *out << Verbose(2) << "Atom " << Walker->Name << " has Bonds: "<<endl;
+      for(int j=0;j<NumberOfBondsPerAtom[Walker->nr];j++) {
+        *out << Verbose(3) << *(ListOfBondsPerAtom)[Walker->nr][j] << endl;
+      }
 #ifdef ADDHYDROGEN
-		}
+    }
 #endif
-	}
-	*out << endl;
+  }
+  *out << endl;
 };
 
@@ -1513,7 +2219,7 @@
  * \param *out stream pointer
  */
-bool molecule::Checkout(ofstream *out)	const
-{
-	return elemente->Checkout(out, ElementsInMolecule);
+bool molecule::Checkout(ofstream *out)  const
+{
+  return elemente->Checkout(out, ElementsInMolecule);
 };
 
@@ -1523,26 +2229,26 @@
 bool molecule::OutputTrajectoriesXYZ(ofstream *out)
 {
-	atom *walker = NULL;
-	int No = 0;
-	time_t now;
-
-	now = time((time_t *)NULL);	 // Get the system time and put it into 'now' as 'calender time'
-	walker = start;
-	while (walker->next != end) { // go through every atom and count
-		walker = walker->next;
-		No++;
-	}
-	if (out != NULL) {
-		for (int step=0;step<MDSteps;step++) {
-			*out << No << "\n\tCreated by molecuilder, step " << step << ", on " << ctime(&now);
-			walker = start;
-			while (walker->next != end) { // go through every atom of this element
-				walker = walker->next;
-				*out << walker->type->symbol << "\t" << Trajectories[walker].R.at(step).x[0] << "\t" << Trajectories[walker].R.at(step).x[1] << "\t" << Trajectories[walker].R.at(step).x[2] << endl;
-			}
-		}
-		return true;
-	} else
-		return false;
+  atom *walker = NULL;
+  int No = 0;
+  time_t now;
+
+  now = time((time_t *)NULL);   // Get the system time and put it into 'now' as 'calender time'
+  walker = start;
+  while (walker->next != end) { // go through every atom and count
+    walker = walker->next;
+    No++;
+  }
+  if (out != NULL) {
+    for (int step=0;step<MDSteps;step++) {
+      *out << No << "\n\tCreated by molecuilder, step " << step << ", on " << ctime(&now);
+      walker = start;
+      while (walker->next != end) { // go through every atom of this element
+        walker = walker->next;
+        *out << walker->type->symbol << "\t" << Trajectories[walker].R.at(step).x[0] << "\t" << Trajectories[walker].R.at(step).x[1] << "\t" << Trajectories[walker].R.at(step).x[2] << endl;
+      }
+    }
+    return true;
+  } else
+    return false;
 };
 
@@ -1552,35 +2258,24 @@
 bool molecule::OutputXYZ(ofstream *out) const
 {
-	atom *walker = NULL;
-	int AtomNo = 0, ElementNo;
-	time_t now;
-	element *runner = NULL;
-
-	now = time((time_t *)NULL);	 // Get the system time and put it into 'now' as 'calender time'
-	walker = start;
-	while (walker->next != end) { // go through every atom and count
-		walker = walker->next;
-		AtomNo++;
-	}
-	if (out != NULL) {
-		*out << AtomNo << "\n\tCreated by molecuilder on " << ctime(&now);
-		ElementNo = 0;
-		runner = elemente->start;
-		while (runner->next != elemente->end) { // go through every element
-			runner = runner->next;
-			if (ElementsInMolecule[runner->Z]) { // if this element got atoms
-				ElementNo++;
-				walker = start;
-				while (walker->next != end) { // go through every atom of this element
-					walker = walker->next;
-					if (walker->type == runner) { // if this atom fits to element
-						walker->OutputXYZLine(out);
-					}
-				}
-			}
-		}
-		return true;
-	} else
-		return false;
+  atom *walker = NULL;
+  int AtomNo = 0;
+  time_t now;
+
+  now = time((time_t *)NULL);   // Get the system time and put it into 'now' as 'calender time'
+  walker = start;
+  while (walker->next != end) { // go through every atom and count
+    walker = walker->next;
+    AtomNo++;
+  }
+  if (out != NULL) {
+    *out << AtomNo << "\n\tCreated by molecuilder on " << ctime(&now);
+    walker = start;
+    while (walker->next != end) { // go through every atom of this element
+      walker = walker->next;
+      walker->OutputXYZLine(out);
+    }
+    return true;
+  } else
+    return false;
 };
 
@@ -1590,33 +2285,33 @@
 void molecule::CountAtoms(ofstream *out)
 {
-	int i = 0;
-	atom *Walker = start;
-	while (Walker->next != end) {
-		Walker = Walker->next;
-		i++;
-	}
-	if ((AtomCount == 0) || (i != AtomCount)) {
-		*out << Verbose(3) << "Mismatch in AtomCount " << AtomCount << " and recounted number " << i << ", renaming all." << endl;
-		AtomCount = i;
-
-		// count NonHydrogen atoms and give each atom a unique name
-		if (AtomCount != 0) {
-			i=0;
-			NoNonHydrogen = 0;
-			Walker = start;
-			while (Walker->next != end) {
-				Walker = Walker->next;
-				Walker->nr = i;	 // update number in molecule (for easier referencing in FragmentMolecule lateron)
-				if (Walker->type->Z != 1) // count non-hydrogen atoms whilst at it
-					NoNonHydrogen++;
-				Free((void **)&Walker->Name, "molecule::CountAtoms: *walker->Name");
-				Walker->Name = (char *) Malloc(sizeof(char)*6, "molecule::CountAtoms: *walker->Name");
-				sprintf(Walker->Name, "%2s%02d", Walker->type->symbol, Walker->nr+1);
-				*out << "Naming atom nr. " << Walker->nr << " " << Walker->Name << "." << endl;
-				i++;
-			}
-		} else
-			*out << Verbose(3) << "AtomCount is still " << AtomCount << ", thus counting nothing." << endl;
-	}
+  int i = 0;
+  atom *Walker = start;
+  while (Walker->next != end) {
+    Walker = Walker->next;
+    i++;
+  }
+  if ((AtomCount == 0) || (i != AtomCount)) {
+    *out << Verbose(3) << "Mismatch in AtomCount " << AtomCount << " and recounted number " << i << ", renaming all." << endl;
+    AtomCount = i;
+
+    // count NonHydrogen atoms and give each atom a unique name
+    if (AtomCount != 0) {
+      i=0;
+      NoNonHydrogen = 0;
+      Walker = start;
+      while (Walker->next != end) {
+        Walker = Walker->next;
+        Walker->nr = i;   // update number in molecule (for easier referencing in FragmentMolecule lateron)
+        if (Walker->type->Z != 1) // count non-hydrogen atoms whilst at it
+          NoNonHydrogen++;
+        Free((void **)&Walker->Name, "molecule::CountAtoms: *walker->Name");
+        Walker->Name = (char *) Malloc(sizeof(char)*6, "molecule::CountAtoms: *walker->Name");
+        sprintf(Walker->Name, "%2s%02d", Walker->type->symbol, Walker->nr+1);
+        *out << "Naming atom nr. " << Walker->nr << " " << Walker->Name << "." << endl;
+        i++;
+      }
+    } else
+      *out << Verbose(3) << "AtomCount is still " << AtomCount << ", thus counting nothing." << endl;
+  }
 };
 
@@ -1625,17 +2320,17 @@
 void molecule::CountElements()
 {
-	int i = 0;
-	for(i=MAX_ELEMENTS;i--;)
-		ElementsInMolecule[i] = 0;
-	ElementCount = 0;
-
-	atom *walker = start;
-	while (walker->next != end) {
-		walker = walker->next;
-		ElementsInMolecule[walker->type->Z]++;
-		i++;
-	}
-	for(i=MAX_ELEMENTS;i--;)
-		ElementCount += (ElementsInMolecule[i] != 0 ? 1 : 0);
+  int i = 0;
+  for(i=MAX_ELEMENTS;i--;)
+    ElementsInMolecule[i] = 0;
+  ElementCount = 0;
+
+  atom *walker = start;
+  while (walker->next != end) {
+    walker = walker->next;
+    ElementsInMolecule[walker->type->Z]++;
+    i++;
+  }
+  for(i=MAX_ELEMENTS;i--;)
+    ElementCount += (ElementsInMolecule[i] != 0 ? 1 : 0);
 };
 
@@ -1647,26 +2342,26 @@
 int molecule::CountCyclicBonds(ofstream *out)
 {
-	int No = 0;
-	int *MinimumRingSize = NULL;
-	MoleculeLeafClass *Subgraphs = NULL;
-	class StackClass<bond *> *BackEdgeStack = NULL;
-	bond *Binder = first;
-	if ((Binder->next != last) && (Binder->next->Type == Undetermined)) {
-		*out << Verbose(0) << "No Depth-First-Search analysis performed so far, calling ..." << endl;
-		Subgraphs = DepthFirstSearchAnalysis(out, BackEdgeStack);
-		while (Subgraphs->next != NULL) {
-			Subgraphs = Subgraphs->next;
-			delete(Subgraphs->previous);
-		}
-		delete(Subgraphs);
-		delete[](MinimumRingSize);
-	}
-	while(Binder->next != last) {
-		Binder = Binder->next;
-		if (Binder->Cyclic)
-			No++;
-	}
-	delete(BackEdgeStack);
-	return No;
+  int No = 0;
+  int *MinimumRingSize = NULL;
+  MoleculeLeafClass *Subgraphs = NULL;
+  class StackClass<bond *> *BackEdgeStack = NULL;
+  bond *Binder = first;
+  if ((Binder->next != last) && (Binder->next->Type == Undetermined)) {
+    *out << Verbose(0) << "No Depth-First-Search analysis performed so far, calling ..." << endl;
+    Subgraphs = DepthFirstSearchAnalysis(out, BackEdgeStack);
+    while (Subgraphs->next != NULL) {
+      Subgraphs = Subgraphs->next;
+      delete(Subgraphs->previous);
+    }
+    delete(Subgraphs);
+    delete[](MinimumRingSize);
+  }
+  while(Binder->next != last) {
+    Binder = Binder->next;
+    if (Binder->Cyclic)
+      No++;
+  }
+  delete(BackEdgeStack);
+  return No;
 };
 /** Returns Shading as a char string.
@@ -1676,21 +2371,21 @@
 string molecule::GetColor(enum Shading color)
 {
-	switch(color) {
-		case white:
-			return "white";
-			break;
-		case lightgray:
-			return "lightgray";
-			break;
-		case darkgray:
-			return "darkgray";
-			break;
-		case black:
-			return "black";
-			break;
-		default:
-			return "uncolored";
-			break;
-	};
+  switch(color) {
+    case white:
+      return "white";
+      break;
+    case lightgray:
+      return "lightgray";
+      break;
+    case darkgray:
+      return "darkgray";
+      break;
+    case black:
+      return "black";
+      break;
+    default:
+      return "uncolored";
+      break;
+  };
 };
 
@@ -1701,23 +2396,23 @@
 void molecule::CalculateOrbitals(class config &configuration)
 {
-	configuration.MaxPsiDouble = configuration.PsiMaxNoDown = configuration.PsiMaxNoUp = configuration.PsiType = 0;
-	for(int i=MAX_ELEMENTS;i--;) {
-		if (ElementsInMolecule[i] != 0) {
-			//cout << "CalculateOrbitals: " << elemente->FindElement(i)->name << " has a valence of " << (int)elemente->FindElement(i)->Valence << " and there are " << ElementsInMolecule[i] << " of it." << endl;
-			configuration.MaxPsiDouble += ElementsInMolecule[i]*((int)elemente->FindElement(i)->Valence);
-		}
-	}
-	configuration.PsiMaxNoDown = configuration.MaxPsiDouble/2 + (configuration.MaxPsiDouble % 2);
-	configuration.PsiMaxNoUp = configuration.MaxPsiDouble/2;
-	configuration.MaxPsiDouble /= 2;
-	configuration.PsiType = (configuration.PsiMaxNoDown == configuration.PsiMaxNoUp) ? 0 : 1;
-	if ((configuration.PsiType == 1) && (configuration.ProcPEPsi < 2)) {
-		configuration.ProcPEGamma /= 2;
-		configuration.ProcPEPsi *= 2;
-	} else {
-		configuration.ProcPEGamma *= configuration.ProcPEPsi;
-		configuration.ProcPEPsi = 1;
-	}
-	configuration.InitMaxMinStopStep = configuration.MaxMinStopStep = configuration.MaxPsiDouble;
+  configuration.MaxPsiDouble = configuration.PsiMaxNoDown = configuration.PsiMaxNoUp = configuration.PsiType = 0;
+  for(int i=MAX_ELEMENTS;i--;) {
+    if (ElementsInMolecule[i] != 0) {
+      //cout << "CalculateOrbitals: " << elemente->FindElement(i)->name << " has a valence of " << (int)elemente->FindElement(i)->Valence << " and there are " << ElementsInMolecule[i] << " of it." << endl;
+      configuration.MaxPsiDouble += ElementsInMolecule[i]*((int)elemente->FindElement(i)->Valence);
+    }
+  }
+  configuration.PsiMaxNoDown = configuration.MaxPsiDouble/2 + (configuration.MaxPsiDouble % 2);
+  configuration.PsiMaxNoUp = configuration.MaxPsiDouble/2;
+  configuration.MaxPsiDouble /= 2;
+  configuration.PsiType = (configuration.PsiMaxNoDown == configuration.PsiMaxNoUp) ? 0 : 1;
+  if ((configuration.PsiType == 1) && (configuration.ProcPEPsi < 2)) {
+    configuration.ProcPEGamma /= 2;
+    configuration.ProcPEPsi *= 2;
+  } else {
+    configuration.ProcPEGamma *= configuration.ProcPEPsi;
+    configuration.ProcPEPsi = 1;
+  }
+  configuration.InitMaxMinStopStep = configuration.MaxMinStopStep = configuration.MaxPsiDouble;
 };
 
@@ -1728,42 +2423,42 @@
 {
 
-	// 1 We will parse bonds out of the dbond file created by tremolo.
-			int atom1, atom2, temp;
-			atom *Walker, *OtherWalker;
-
-					if (!input)
-					{
-						cout << Verbose(1) << "Opening silica failed \n";
-					};
-
-			*input >> ws >> atom1;
-			*input >> ws >> atom2;
-					cout << Verbose(1) << "Scanning file\n";
-					while (!input->eof()) // Check whether we read everything already
-					{
-				*input >> ws >> atom1;
-				*input >> ws >> atom2;
-						if(atom2<atom1) //Sort indices of atoms in order
-						{
-							temp=atom1;
-							atom1=atom2;
-							atom2=temp;
-						};
-
-						Walker=start;
-						while(Walker-> nr != atom1) // Find atom corresponding to first index
-						{
-							Walker = Walker->next;
-						};
-						OtherWalker = Walker->next;
-						while(OtherWalker->nr != atom2) // Find atom corresponding to second index
-						{
-							OtherWalker= OtherWalker->next;
-						};
-						AddBond(Walker, OtherWalker); //Add the bond between the two atoms with respective indices.
-
-					}
-
-					CreateListOfBondsPerAtom(out);
+  // 1 We will parse bonds out of the dbond file created by tremolo.
+      int atom1, atom2, temp;
+      atom *Walker, *OtherWalker;
+
+          if (!input)
+          {
+            cout << Verbose(1) << "Opening silica failed \n";
+          };
+
+      *input >> ws >> atom1;
+      *input >> ws >> atom2;
+          cout << Verbose(1) << "Scanning file\n";
+          while (!input->eof()) // Check whether we read everything already
+          {
+        *input >> ws >> atom1;
+        *input >> ws >> atom2;
+            if(atom2<atom1) //Sort indices of atoms in order
+            {
+              temp=atom1;
+              atom1=atom2;
+              atom2=temp;
+            };
+
+            Walker=start;
+            while(Walker-> nr != atom1) // Find atom corresponding to first index
+            {
+              Walker = Walker->next;
+            };
+            OtherWalker = Walker->next;
+            while(OtherWalker->nr != atom2) // Find atom corresponding to second index
+            {
+              OtherWalker= OtherWalker->next;
+            };
+            AddBond(Walker, OtherWalker); //Add the bond between the two atoms with respective indices.
+
+          }
+
+          CreateListOfBondsPerAtom(out);
 
 };
@@ -1776,12 +2471,12 @@
  * To make it O(N log N) the function uses the linked-cell technique as follows:
  * The procedure is step-wise:
- *	-# Remove every bond in list
- *	-# Count the atoms in the molecule with CountAtoms()
- *	-# partition cell into smaller linked cells of size \a bonddistance
- *	-# put each atom into its corresponding cell
- *	-# go through every cell, check the atoms therein against all possible bond partners in the 27 adjacent cells, add bond if true
- *	-# create the list of bonds via CreateListOfBondsPerAtom()
- *	-# correct the bond degree iteratively (single->double->triple bond)
- *	-# finally print the bond list to \a *out if desired
+ *  -# Remove every bond in list
+ *  -# Count the atoms in the molecule with CountAtoms()
+ *  -# partition cell into smaller linked cells of size \a bonddistance
+ *  -# put each atom into its corresponding cell
+ *  -# go through every cell, check the atoms therein against all possible bond partners in the 27 adjacent cells, add bond if true
+ *  -# create the list of bonds via CreateListOfBondsPerAtom()
+ *  -# correct the bond degree iteratively (single->double->triple bond)
+ *  -# finally print the bond list to \a *out if desired
  * \param *out out stream for printing the matrix, NULL if no output
  * \param bonddistance length of linked cells (i.e. maximum minimal length checked)
